## ros-indigo-transform-graph 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(transform_graph)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  cmake_modules
  eigen_conversions
  geometry_msgs
  roscpp
  rospy
  tf
  tf_conversions
)

find_package(Eigen REQUIRED)
find_package(PCL REQUIRED)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend tag for "message_generation"
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependency has been pulled in
##     but can be declared for certainty nonetheless:
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

################################################
## Declare ROS dynamic reconfigure parameters ##
################################################

## To declare and build dynamic reconfigure parameters within this
## package, follow these steps:
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for "dynamic_reconfigure"
## * In this file (CMakeLists.txt):
##   * add "dynamic_reconfigure" to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * uncomment the "generate_dynamic_reconfigure_options" section below
##     and list every .cfg file to be processed

## Generate dynamic reconfigure parameters in the 'cfg' folder
# generate_dynamic_reconfigure_options(
#   cfg/DynReconf1.cfg
#   cfg/DynReconf2.cfg
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES
    transform_graph_explicit_types
    transform_graph_internal_graph
    transform_graph_graph
    transform_graph_orientation
    transform_graph_position
    transform_graph_transform
  CATKIN_DEPENDS
    eigen_conversions
    geometry_msgs
    roscpp
    rospy
    tf
    tf_conversions
  DEPENDS Eigen PCL
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${PCL_INCLUDE_DIRS}
  ${Eigen_INCLUDE_DIRS}
)

add_library(transform_graph_internal_graph src/graph_internal.cpp)
add_dependencies(transform_graph_internal_graph ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(transform_graph_internal_graph ${catkin_LIBRARIES})

add_library(transform_graph_graph src/graph.cpp)
add_dependencies(transform_graph_graph
  transform_graph_explicit_types
  transform_graph_internal_graph
  transform_graph_transform
  ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(transform_graph_graph
  transform_graph_explicit_types
  transform_graph_internal_graph
  transform_graph_transform
  ${catkin_LIBRARIES})

add_library(transform_graph_position src/position.cpp)
add_dependencies(transform_graph_position ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(transform_graph_position ${catkin_LIBRARIES} ${PCL_LIBRARIES})

add_library(transform_graph_orientation src/orientation.cpp)
add_dependencies(transform_graph_orientation ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(transform_graph_orientation ${catkin_LIBRARIES})

add_library(transform_graph_transform src/transform.cpp)
add_dependencies(transform_graph_transform
  transform_graph_position
  transform_graph_orientation
  ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(transform_graph_transform
  transform_graph_position
  transform_graph_orientation
  ${catkin_LIBRARIES})

add_library(transform_graph_explicit_types src/explicit_types.cpp)
add_dependencies(transform_graph_explicit_types ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(transform_graph_explicit_types ${catkin_LIBRARIES})

## Declare a C++ executable
# add_executable(transform_graph_node src/transform_graph_node.cpp)

## Add cmake target dependencies of the executable
## same as for the library above
# add_dependencies(transform_graph_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Specify libraries to link a library or executable target against
# target_link_libraries(transform_graph_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
install(TARGETS
    transform_graph_explicit_types
    transform_graph_graph
    transform_graph_internal_graph
    transform_graph_orientation
    transform_graph_position
    transform_graph_transform
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
if (CATKIN_ENABLE_TESTING)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -O0 --coverage") # Enable code coverage

  catkin_add_gtest(transform_graph_graph_test test/graph_test.cpp)
  target_link_libraries(transform_graph_graph_test transform_graph_graph ${catkin_LIBRARIES})

  catkin_add_gtest(transform_graph_internal_graph_test test/internal_graph_test.cpp)
  target_link_libraries(transform_graph_internal_graph_test transform_graph_internal_graph ${catkin_LIBRARIES})

  catkin_add_gtest(transform_graph_position_test test/position_test.cpp)
  target_link_libraries(transform_graph_position_test transform_graph_position ${catkin_LIBRARIES})

  catkin_add_gtest(transform_graph_orientation_test test/orientation_test.cpp)
  target_link_libraries(transform_graph_orientation_test transform_graph_orientation ${catkin_LIBRARIES})

  catkin_add_gtest(transform_graph_transform_test test/transform_test.cpp)
  target_link_libraries(transform_graph_transform_test transform_graph_transform ${catkin_LIBRARIES})
endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-indigo-transform-graph (0.3.0-0trusty) trusty; urgency=high

  * Added methods for converting Position, Orientation, and Transform back to common types.
  * Made LocalFrame implicitly convertable from strings, which makes the API cleaner.
  * Updated docs.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Wed, 31 Jan 2018 08:00:00 -0000

ros-indigo-transform-graph (0.2.1-0trusty) trusty; urgency=high

  * Changed Markdown documentation to Doxygen format.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Mon, 24 Jul 2017 07:00:00 -0000

ros-indigo-transform-graph (0.2.0-0trusty) trusty; urgency=high

  * Added convenience method to get a Pose from a Transform.
  * Added convenience method to get a quaternion from an Orientation.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Wed, 12 Jul 2017 07:00:00 -0000

ros-indigo-transform-graph (0.1.4-0trusty) trusty; urgency=high

  * Installed internal_graph library.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Fri, 26 May 2017 07:00:00 -0000

ros-indigo-transform-graph (0.1.3-0trusty) trusty; urgency=high

  * Added missing library export to CMakeLists.txt
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Thu, 25 May 2017 07:00:00 -0000

ros-indigo-transform-graph (0.1.2-0trusty) trusty; urgency=high

  * Fixed CMakeLists.txt for dependent projects.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Wed, 24 May 2017 07:00:00 -0000

ros-indigo-transform-graph (0.1.1-0trusty) trusty; urgency=high

  * Moved mainpage.md into the doc/ folder.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Fri, 05 May 2017 07:00:00 -0000

ros-indigo-transform-graph (0.1.0-0trusty) trusty; urgency=high

  The initial release of transform_graph.

 -- Justin Huang <jstn@cs.washington.edu>  Wed, 03 May 2017 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-transform-graph
Section: misc
Priority: extra
Maintainer: Justin Huang <jstn@cs.washington.edu>
Build-Depends: debhelper (>= 9.0.0), libpcl-1.7-all, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rosunit, ros-indigo-tf, ros-indigo-tf-conversions
Homepage: http://wiki.ros.org/transform_graph
Standards-Version: 3.9.2

Package: ros-indigo-transform-graph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl-1.7-all, ros-indigo-cmake-modules, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-tf, ros-indigo-tf-conversions
Description: Library for computing transformations in arbitrary graph structures.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-transform-graph//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
